#
# spec file for package aprsd (Version 2.1.5b9)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++ libstdc++-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         aprsd
Url:          http://www.wa4dsy.net/aprs/
License:      GPL, Other License(s), see package
Group:        Productivity/Hamradio/Other
Autoreqprov:  on
Version:      2.1.5b9
Release:      137
Summary:      APRS Internet server program
Source:       aprsd215b9.tar.bz2
Patch:        aprsd215.dif
PreReq:       %fillup_prereq %insserv_prereq

%description
This is an APRS Internet server program.  It acts as a gateway between
the Internet and a local ham VHF APRS packet network. It is interfaced
directly to a TNC via one of the PC serial ports and does not use the
Linux ax25 sockets interface.



Authors:
--------
    Dale A. Heatherington <wa4dsy@wa4dsy.radio.org>

%debug_package
%prep
%setup -n aprsd215
%patch

%build
make

%install
DOCDIR=${defaultdocdir}/aprsd
set -x
./INSTALLDAEMON
install -m 755 rc.aprsd /etc/init.d/aprsd
rm -f /usr/sbin/rcaprsd
ln -s ../../etc/init.d/aprsd /usr/sbin/rcaprsd  

%post
%{fillup_and_insserv aprsd}

%postun
%{insserv_cleanup}

%files
%dir /var/lib/aprsd
%dir /var/log/aprsd
%doc LIESMICH.SuSE README.SuSE aprsddoc.html ports.html udp_example
/usr/sbin/aprsd
/usr/sbin/aprspass
/usr/sbin/rcaprsd
%config /etc/init.d/aprsd
%config(noreplace) /var/lib/aprsd/INIT.TNC
%config(noreplace) /var/lib/aprsd/RESTORE.TNC
%config(noreplace) /var/lib/aprsd/welcome.txt
%config(noreplace) /etc/aprsd.conf
%config(noreplace) /etc/aprs_user.deny

%changelog -n aprsd
* Thu Jan 15 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Wed Dec 04 2002 - jreuter@suse.de
- upgrade to version 2.15b9
- fixed C++ includes (I hope)
- installs user.deny properly as aprs_user.deny now
- logs to /var/log/aprsd
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sun Jan 13 2002 - ro@suse.de
- removed START_APRSD
* Mon Sep 24 2001 - jreuter@suse.de
- fixed rc script for LSB compliance (closes bug #8968)
* Thu Jan 04 2001 - ka@suse.de
- Don't start aprsd by default (START_APRSD=no)
* Sat Dec 02 2000 - ka@suse.de
- update to version 2.1.4
- added INIT INFO to init script
- fixed some texts from /sbin/init.d to /etc/init.d/
* Thu Nov 30 2000 - ro@suse.de
- startscript fixed
* Thu Nov 30 2000 - jreuter@suse.de
- changed group tag
* Mon Nov 13 2000 - ro@suse.de
- use -D_GNU_SOURCE for gethostbyname2
* Mon May 29 2000 - ka@suse.de
- update to version 2.1.1
- moved /usr/doc to /usr/share/doc (FHS)
- moved configuration from /etc/rc.config to /etc/rc.config.d
- made use of macros in spec file
- added group tag to spec file
- don't replace /var/lib/aprsd/welcome.txt during update
* Fri Mar 17 2000 - ka@suse.de
- update to version 2.1.0
- moved /var/lib/arpsd/aprsd.conf to /etc/aprsd.conf
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 06 1999 - bs@suse.de
- removed libgpp27 from neededforbuild
* Thu May 20 1999 - ro@suse.de
- no m486 on alpha
- include errno.h
* Tue Mar 30 1999 - ka@suse.de
- initial release
